import sys

from pybind11 import get_cmake_dir
# Available at setup time due to pyproject.toml
from pybind11.setup_helpers import Pybind11Extension, build_ext
from setuptools import setup

__version__ = "0.0.1"

ext_modules = [
    Pybind11Extension("pybind11_repro",
        ["src/main.cpp"],
        define_macros = [('VERSION_INFO', __version__), ('PYBIND11_DETAILED_ERROR_MESSAGES', 1)],
        ),
]

setup(
    name="pybind11_repro",
    version=__version__,
    author="Ian Eldred Pudney",
    author_email="puddles@google.com",
    url="https://github.com/pybind/python_example",
    description="A repro example of a pybind11 bug",
    long_description="",
    ext_modules=ext_modules,
    extras_require={"test": "pytest"},
    cmdclass={"build_ext": build_ext},
    zip_safe=False,
    python_requires=">=3.6",
)
